Public Hog Function

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

List all public hog function templates

Query parameters

  • limit
    integer
  • offset
    integer
  • template_id
    string
  • type
    string
  • types
    string

Response


Example request

GET /api/public_hog_function_templates
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/public_hog_function_templates/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "string",
"name": "string",
"description": "string",
"code": "string",
"code_language": "string",
"inputs_schema": null,
"type": "string",
"status": "string",
"category": null,
"free": true,
"icon_url": "string",
"filters": null,
"masking": null,
"mapping_templates": [
{
"name": "string",
"include_by_default": true,
"use_all_events_by_default": true,
"filters": null,
"inputs": null,
"inputs_schema": null
}
]
}
]
}

Community questions

Questions about this page? or post a community question.